%define upstream_name	 Module-CoreList
%define upstream_version 2.61

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tell what modules shipped with versions of perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Module::CoreList contains data about what perl modules are shipped
with given versions of perl (and their versions). It comes also with a
command-line utility, corelist, to retrieve this information easily.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Module
%{_mandir}/*/*
%{_bindir}/corelist

%changelog

* Thu Feb 23 2012 jquelin <jquelin> 2.610.0-1.mga2
+ Revision: 213025
- update to 2.61

* Wed Jan 25 2012 jquelin <jquelin> 2.600.0-1.mga2
+ Revision: 200921
- update to 2.60

* Wed Jan 04 2012 jquelin <jquelin> 2.590.0-1.mga2
+ Revision: 190327
- update to 2.59

* Fri Dec 02 2011 kharec <kharec> 2.580.0-1.mga2
+ Revision: 175210
- update to 2.58

* Thu Nov 03 2011 jquelin <jquelin> 2.570.0-1.mga2
+ Revision: 162237
- update to 2.57

* Mon Sep 26 2011 jquelin <jquelin> 2.560.0-1.mga2
+ Revision: 148133
- update to 2.56
- update to 2.55
- update to 2.54

* Fri Jul 08 2011 jquelin <jquelin> 2.520.0-1.mga2
+ Revision: 120457
- update to 2.52

* Tue Jun 21 2011 jquelin <jquelin> 2.510.0-1.mga2
+ Revision: 111436
- update to 2.51

* Wed Jun 15 2011 jquelin <jquelin> 2.490.0-1.mga2
+ Revision: 107070
- update to 2.49

* Thu Mar 24 2011 jquelin <jquelin> 2.460.0-1.mga1
+ Revision: 76652
- update to 2.46

* Tue Feb 22 2011 jquelin <jquelin> 2.450.0-1.mga1
+ Revision: 56637
- update to 2.45

* Wed Feb 16 2011 jquelin <jquelin> 2.440.0-1.mga1
+ Revision: 52349
- update to 2.44

* Wed Jan 19 2011 jquelin <jquelin> 2.420.0-1.mga1
+ Revision: 24247
- fix specs
- imported package perl-Module-CoreList

